module hongze/hongze_cygx

go 1.21.7

require (
	github.com/PuerkitoBio/goquery v1.9.2
	github.com/aliyun/aliyun-oss-go-sdk v3.0.2+incompatible
	github.com/astaxie/beego v1.12.3
	github.com/beego/beego/v2 v2.2.2
	github.com/dgrijalva/jwt-go v3.2.0+incompatible
	github.com/elastic/go-elasticsearch/v7 v7.17.10
	github.com/go-sql-driver/mysql v1.8.1
	github.com/medivhzhan/weapp/v2 v2.5.0
	github.com/olivere/elastic/v7 v7.0.32
	github.com/pdfcpu/pdfcpu v0.8.0
	github.com/rdlucklib/rdluck_tools v1.0.3
	github.com/tealeg/xlsx v1.0.5
	github.com/wechatpay-apiv3/wechatpay-go v0.2.18
	gopkg.in/gomail.v2 v2.0.0-20160411212932-81ebce5c23df
)

require (
	filippo.io/edwards25519 v1.1.0 // indirect
	github.com/andybalholm/cascadia v1.3.2 // indirect
	github.com/beorn7/perks v1.0.1 // indirect
	github.com/cespare/xxhash/v2 v2.2.0 // indirect
	github.com/garyburd/redigo v1.6.3 // indirect
	github.com/hashicorp/golang-lru v0.5.4 // indirect
	github.com/hhrutter/lzw v1.0.0 // indirect
	github.com/hhrutter/tiff v1.0.1 // indirect
	github.com/josharian/intern v1.0.0 // indirect
	github.com/mailru/easyjson v0.7.7 // indirect
	github.com/mattn/go-runewidth v0.0.15 // indirect
	github.com/mitchellh/mapstructure v1.5.0 // indirect
	github.com/pkg/errors v0.9.1 // indirect
	github.com/prometheus/client_golang v1.19.0 // indirect
	github.com/prometheus/client_model v0.5.0 // indirect
	github.com/prometheus/common v0.48.0 // indirect
	github.com/prometheus/procfs v0.12.0 // indirect
	github.com/rivo/uniseg v0.4.7 // indirect
	github.com/shiena/ansicolor v0.0.0-20200904210342-c7312218db18 // indirect
	github.com/valyala/bytebufferpool v1.0.0 // indirect
	golang.org/x/crypto v0.23.0 // indirect
	golang.org/x/image v0.15.0 // indirect
	golang.org/x/net v0.24.0 // indirect
	golang.org/x/sys v0.20.0 // indirect
	golang.org/x/text v0.15.0 // indirect
	golang.org/x/time v0.5.0 // indirect
	google.golang.org/protobuf v1.34.1 // indirect
	gopkg.in/alexcesaro/quotedprintable.v3 v3.0.0-20150716171945-2caba252f4dc // indirect
	gopkg.in/yaml.v2 v2.4.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
)
